JavaScript
import CheckoutIntents from 'checkout-intents';
const client = new CheckoutIntents({
apiKey: process.env['CHECKOUT_INTENTS_API_KEY'], // This is the default and can be omitted
});
// Automatically fetches more pages as needed.
for await (const order of client.orders.list()) {
console.log(order.id);
}import os
from checkout_intents import CheckoutIntents
client = CheckoutIntents(
api_key=os.environ.get("CHECKOUT_INTENTS_API_KEY"), # This is the default and can be omitted
)
page = client.orders.list()
page = page.data[0]
print(page.id)package com.rye.example;
import com.rye.client.CheckoutIntentsClient;
import com.rye.client.okhttp.CheckoutIntentsOkHttpClient;
import com.rye.models.orders.OrderListPage;
import com.rye.models.orders.OrderListParams;
public final class Main {
private Main() {}
public static void main(String[] args) {
CheckoutIntentsClient client = CheckoutIntentsOkHttpClient.fromEnv();
OrderListPage page = client.orders().list();
}
}curl https://staging.api.rye.com/api/v1/orders \
-H "Authorization: Bearer $CHECKOUT_INTENTS_API_KEY"
{
"data": [
{
"id": "<string>",
"checkoutIntentId": "ci_aaa8af5c5aae4c0e8ef0172c26c65c13",
"createdAt": "2026-03-25T00:00:00Z",
"updatedAt": "2026-03-27T00:00:00Z",
"cancellation": {
"reason": {
"message": "<string>"
},
"marketplaceOrderId": "<string>",
"checkoutIntentId": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"id": "<string>",
"state": "requested"
},
"referenceId": "order-1234"
}
],
"pageInfo": {
"hasPreviousPage": true,
"hasNextPage": true,
"endCursor": "<string>",
"startCursor": "<string>"
}
}{
"name": "<string>",
"message": "<string>",
"stack": "<string>"
}{
"name": "<string>",
"message": "<string>",
"status": 123,
"fields": {},
"stack": "<string>"
}Orders
List orders
List orders for the authenticated developer with cursor-based pagination.
GET
/
api
/
v1
/
orders
JavaScript
import CheckoutIntents from 'checkout-intents';
const client = new CheckoutIntents({
apiKey: process.env['CHECKOUT_INTENTS_API_KEY'], // This is the default and can be omitted
});
// Automatically fetches more pages as needed.
for await (const order of client.orders.list()) {
console.log(order.id);
}import os
from checkout_intents import CheckoutIntents
client = CheckoutIntents(
api_key=os.environ.get("CHECKOUT_INTENTS_API_KEY"), # This is the default and can be omitted
)
page = client.orders.list()
page = page.data[0]
print(page.id)package com.rye.example;
import com.rye.client.CheckoutIntentsClient;
import com.rye.client.okhttp.CheckoutIntentsOkHttpClient;
import com.rye.models.orders.OrderListPage;
import com.rye.models.orders.OrderListParams;
public final class Main {
private Main() {}
public static void main(String[] args) {
CheckoutIntentsClient client = CheckoutIntentsOkHttpClient.fromEnv();
OrderListPage page = client.orders().list();
}
}curl https://staging.api.rye.com/api/v1/orders \
-H "Authorization: Bearer $CHECKOUT_INTENTS_API_KEY"
{
"data": [
{
"id": "<string>",
"checkoutIntentId": "ci_aaa8af5c5aae4c0e8ef0172c26c65c13",
"createdAt": "2026-03-25T00:00:00Z",
"updatedAt": "2026-03-27T00:00:00Z",
"cancellation": {
"reason": {
"message": "<string>"
},
"marketplaceOrderId": "<string>",
"checkoutIntentId": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"id": "<string>",
"state": "requested"
},
"referenceId": "order-1234"
}
],
"pageInfo": {
"hasPreviousPage": true,
"hasNextPage": true,
"endCursor": "<string>",
"startCursor": "<string>"
}
}{
"name": "<string>",
"message": "<string>",
"stack": "<string>"
}{
"name": "<string>",
"message": "<string>",
"status": 123,
"fields": {},
"stack": "<string>"
}Authorizations
Rye API key
Query Parameters
Maximum number of results to return (default 100)
Required range:
1 <= x <= 100Was this page helpful?
⌘I

